de.dhbwstuttgart.logger

## Enum Section

- java.lang.Object
- - java.lang.Enum<Section>
  - - de.dhbwstuttgart.logger.Section

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Section>

    public enum Section
    extends java.lang.Enum<Section>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASSUMPTIONS`
`CODEGEN`
`FINITECLOSURE`
`PARSER`
`TYPEINFERENCE`
`UNIFY`

### Method Summary

All Methods Static Methods Concrete Methods
`static Section` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Section[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TYPEINFERENCE

    public static final Section TYPEINFERENCE

#### PARSER

    public static final Section PARSER

#### CODEGEN

    public static final Section CODEGEN

#### UNIFY

    public static final Section UNIFY

#### FINITECLOSURE

    public static final Section FINITECLOSURE

#### ASSUMPTIONS

    public static final Section ASSUMPTIONS

### Method Detail

#### values

    public static Section[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Section c : Section.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Section valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null